package mapped;

import net.runelite.mapping.ObfuscatedGetter;
import net.runelite.mapping.ObfuscatedName;
import net.runelite.mapping.ObfuscatedSignature;
import net.runelite.rs.api.RSGrandExchangeEvent;

@ObfuscatedName("og")
public class GrandExchangeEvent implements RSGrandExchangeEvent {
   @ObfuscatedName("jz")
   static byte[][] regionMapArchives;
   @ObfuscatedName("at")
   @ObfuscatedGetter(
      intValue = 2041801575
   )
   public final int world;
   @ObfuscatedName("ah")
   @ObfuscatedGetter(
      longValue = 8495247240846859423L
   )
   public final long age;
   @ObfuscatedName("ar")
   @ObfuscatedSignature(
      descriptor = "Low;"
   )
   public final GrandExchangeOffer grandExchangeOffer;
   @ObfuscatedName("ao")
   String offerName;
   @ObfuscatedName("ab")
   String previousOfferName;

   @ObfuscatedSignature(
      descriptor = "(Luj;BI)V"
   )
   GrandExchangeEvent(Buffer var1, byte var2, int var3) {
      this.offerName = var1.readStringCp1252NullTerminated_base();
      this.previousOfferName = var1.readStringCp1252NullTerminated_base();
      this.world = var1.readUnsignedShort_base();
      this.age = var1.readLong_base();
      int var4 = var1.readInt_base();
      int var5 = var1.readInt_base();
      this.grandExchangeOffer = new GrandExchangeOffer();
      this.grandExchangeOffer.method7143_base(2);
      this.grandExchangeOffer.method7133_base(var2);
      this.grandExchangeOffer.unitPrice = var4;
      this.grandExchangeOffer.totalQuantity = var5;
      this.grandExchangeOffer.currentQuantity = 0;
      this.grandExchangeOffer.currentPrice = 0;
      this.grandExchangeOffer.id = var3;
   }

   @ObfuscatedName("at")
   @ObfuscatedSignature(
      descriptor = "(I)Ljava/lang/String;",
      garbageValue = "1118320286"
   )
   public String getOfferName_base() {
      return this.offerName;
   }

   @ObfuscatedName("ah")
   @ObfuscatedSignature(
      descriptor = "(I)Ljava/lang/String;",
      garbageValue = "-2144907217"
   )
   public String getPreviousOfferName_base() {
      return this.previousOfferName;
   }
}
